Subject: Re: Multiple indices / staging areas

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Feb 2024 00:35:59 -0800

Jacek Lipiec <[email-masked]> writes:

> I am open for the feedback/questions, or early go/nogo.

Given that even having one index between the committed history and
the working tree files seems to add cognitive load to new users, I
am not very enthused to hear that we may be able to add an arbitrary
number of them, and more importantly, I don't quite see what real
world problems the additional complexities (most of them are probably
not accounted for in the sketch we saw and yet to be discovered) are
solving.

But I'll wait before sending this response for a few days and keep
it in my outbox.